Subject: Re: bug#21500: 24.5; Graphical glitch with display property lines in GUI Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Sep 2015 13:04:45 +0300

> Date: Sat, 26 Sep 2015 11:35:36 +0200
> From: Vasilij Schneidermann <[email-masked]>
> Cc: [email-masked]
> 
> Is it possible to use the :distant-foreground property to display the
> line protruding beyond the cursor shape in a color different from the
> background?  If yes, what color would it need to have for this to work?

I'm not sure why would you need to use :distant-foreground, but maybe
your actual situation is more complicated than the test case you
presented in this bug report.  With that test case, if I modify the
face definition like this:

  (defface my-line
    '((((type graphic)) :background "yellow")
      (((type tty)) :inherit font-lock-comment-face :underline t))
    "Line face")

I see the line in question all the time.  Is this what you want?